{ config, pkgs, ... }:

{
  powerManagement.enable = true;

  powerManagement.cpuFreqGovernor = "powersave";

  services.tlp = {
    enable = true;
    settings = {
      CPU_SCALING_GOVERNOR_ON_AC = "powersave";
      CPU_ENERGY_PERF_POLICY_ON_AC = "power";

      RUNTIME_PM_ON_AC = "auto";

      DISK_DEVICES = "sda"; 
      DISK_SPINDOWN_TIMEOUT_ON_AC = "120 120"; 
      DISK_APM_LEVEL_ON_AC="128 128";
    };
  };
}
